@echo off
rem ----------------------------------------------------------------------
rem Program      : ij.bat
rem Copyright    : OpenGIS Consortium
rem ----------------------------------------------------------------------
rem Purpose      : Compiles the IDL file ogc_cat.idl to java code
rem ----------------------------------------------------------------------
rem Authors      : Barend, Geodan SDT b.v. Amsterdam
rem Date         : May 11, 2000
rem ----------------------------------------------------------------------

rem Remove all generated java files
del OGC_Basic\*.java
del OGC_CatalogService\*.java
del Ogis\*.java

rem copy ..\..\idl\ogc_cat.idl
REM NOTE removed -back_compat for Java 2 with visibroker
idl2java -no_skel -no_tie -no_examples -no_comments -portable -strict ogc_cat.idl
rem del ogc_cat.idl
